Bug 249023 - devel/notcurses: Update to 1.7.0
Summary: devel/notcurses: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://github.com/dankamongmen/notcu...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-31 01:14 UTC by Nick Black
Modified: 2020-09-19 05:29 UTC (History)
3 users (show)

See Also:


Attachments
patch against current svn (1.69 KB, patch)
2020-08-31 01:14 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Black 2020-08-31 01:14:02 UTC
Created attachment 217664 [details]
patch against current svn

This updates to the new major release of Notcurses, 1.7.0, released 2020-08-30.
Comment 1 daniel.engberg.lists 2020-08-31 08:56:26 UTC
Hi,

As there a reason why we can't use upstream release archive/tarball? (also suggested by 5.4.3 in Porter's Handbook)

https://github.com/dankamongmen/notcurses/releases/tag/v1.7.0 --> 
https://github.com/dankamongmen/notcurses/releases/download/v1.7.0/notcurses_1.7.0+dfsg.1.orig.tar.xz

Have you tried building using Poudriere?

Best regards,
Daniel
Comment 2 Nick Black 2020-08-31 16:38:28 UTC
We are using the upstream release tarball, so far as I'm aware. The one you point to is a stripped-down tarball released under the Debian Free Software Guidelines.

I have not used Poudriere; let me look into it.
Comment 3 daniel.engberg.lists 2020-08-31 21:17:02 UTC
Sounds great, any cons using the DFSG tarball?
Comment 4 Nick Black 2020-08-31 21:33:58 UTC
It leaves out some demos due to media that conflicts with the DFSG, but honestly said media likely conflicts with FreeBSD requirements as well, so it's probably best to drop them. If that's what's desired, I'll move to it, and take a look at Poudriere.
Comment 5 Fernando Apesteguía freebsd_committer 2020-09-01 16:38:27 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 6 Yuri Victorovich freebsd_committer 2020-09-19 05:29:38 UTC
Committed with alterations and additions.
Thanks!
Comment 7 commit-hook freebsd_committer 2020-09-19 05:29:54 UTC
A commit references this bug:

Author: yuri
Date: Sat Sep 19 05:29:35 UTC 2020
New revision: 548942
URL: https://svnweb.freebsd.org/changeset/ports/548942

Log:
  devel/notcurses: Update 1.6.11 -> 1.7.0

  Additional changes:
  * Move build dependencies needed only for docs under the DOCS option
  * Do not build docs when the option isn't chosen
  * Install manpages into share/man because now this is allowed

  PR:		249023
  Submitted by:	nickblack@linux.com (maintainer)

Changes:
  head/devel/notcurses/Makefile
  head/devel/notcurses/distinfo
  head/devel/notcurses/files/
  head/devel/notcurses/pkg-plist